Author Topic: Set PHP version to the wesite  (Read 1346 times)

0 Members and 1 Guest are viewing this topic.

Offline
*
Set PHP version to the wesite
« on: August 24, 2021, 11:13:56 AM »
Hi All

Sorry, can't understand this issue.

Installed this great panel to CentOS7, native PHP is 5.6
But I need PHP 5.3 for my website. So I've did PHP Version Switcher -> PHP 5.3
After a while -> "You are running PHP 5.3.29", great!

BUT!

Made a user, place a phpinfo.php to the domain root and it shows PHP 5.6 instead...

As I understand, there is PHP Selector but it is available only in PRO and needed if I wish to have MULTIPLE versions. But I need only one and it is 5.3

So I can't understand how to assign the 5.3 to my domain...

Please assist!


Offline
*
Re: Set PHP version to the wesite
« Reply #1 on: August 24, 2021, 12:43:28 PM »
UPDATE: altough I've switched to 5.3, the section PHP Info of the panel shows me info of PHP 5.6...

PHP Info

You are running PHP version: 5.3.29

PHP logo
PHP Version 5.6.37

Offline
*
Re: Set PHP version to the wesite
« Reply #2 on: August 24, 2021, 06:45:40 PM »
Just tested to change version to 7.1, and it works. All mentioned places indicating 7.1.1... Somebody have an idea what's wrong with 5.3?

Offline
*
Re: Set PHP version to the wesite
« Reply #3 on: August 24, 2021, 07:03:25 PM »
Changed 7.1.1 -> 5.3.20 and again, I have "You are running PHP version: 5.3.20" but "PHP Version 7.1.1" something went wrong.

The only error lines in log file (missed when changed to 7.1.1) are:

DELETING DSO Handler
shell-init: error retrieving current directory: getcwd: cannot access parent directories: No such file or directory
chdir: error retrieving current directory: getcwd: cannot access parent directories: No such file or directory

Tried to change to 5.6.1 - everything fine, no error messages. So it is obviously something wrong with 5.3... Which is sad. Especially it seems that nobody knows about this
« Last Edit: August 24, 2021, 07:52:28 PM by kaavain »

Offline
*****
Re: Set PHP version to the wesite
« Reply #4 on: September 07, 2021, 05:00:10 AM »
uncheck litespeed and install php 5.3 again

Offline
*
Re: Set PHP version to the wesite
« Reply #5 on: October 30, 2021, 05:18:26 PM »
uncheck litespeed and install php 5.3 again

hello sorry to bump.. but can you check my post about user php.ini ?